View a markdown version of this page

ImportCrl - IAM Roles Anywhere
Services or capabilities described in Amazon Web Services documentation might vary by Region. To see the differences applicable to the China Regions, see Getting Started with Amazon Web Services in China (PDF).

ImportCrl

Imports the certificate revocation list (CRL). A CRL is a list of certificates that have been revoked by the issuing certificate Authority (CA).In order to be properly imported, a CRL must be in PEM format. IAM Roles Anywhere validates against the CRL before issuing credentials.

Required permissions: rolesanywhere:ImportCrl.

Request Syntax

POST /crls HTTP/1.1 Content-type: application/json { "aliasName": "string", "crlData": blob, "enabled": boolean, "name": "string", "tags": [ { "key": "string", "value": "string" } ], "trustAnchorArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

aliasName

An alias for the certificate revocation list (CRL). When you set an alias, the response includes the alias ARN of the CRL in aliasArn.

An alias name contains 1 to 256 characters. It must begin with a letter (A-Z or a-z). It can contain only letters (A-Z and a-z), numbers (0-9), underscores (_), hyphens (-), and forward slashes (/). A forward slash can appear only between two other characters, so an alias name can't end with a forward slash or contain two in a row. Alias names that begin with aws/, in any combination of uppercase and lowercase letters, are reserved. Alias names are case sensitive.

The alias name must be unique among resources of the same type in your account and Region. If another resource of the same type already has the alias, the request fails with a ValidationException. An invalid or reserved alias name also causes a ValidationException.

If you omit this parameter or specify an empty string, the resource is created without an alias.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 256.

Pattern: (?!.*//)([A-Za-z]([A-Za-z0-9_/-]*[A-Za-z0-9_-])?)?

Required: No

crlData

The x509 v3 specified certificate revocation list (CRL).

Type: Base64-encoded binary data object

Length Constraints: Minimum length of 1. Maximum length of 300000.

Required: Yes

enabled

Specifies whether the certificate revocation list (CRL) is enabled.

Type: Boolean

Required: No

name

The name of the certificate revocation list (CRL).

Type: String

Length Constraints: Minimum length of 1. Maximum length of 255.

Pattern: [ a-zA-Z0-9-_]*

Required: Yes

tags

A list of tags to attach to the certificate revocation list (CRL).

Type: Array of Tag objects

Array Members: Minimum number of 0 items. Maximum number of 200 items.

Required: No

trustAnchorArn

The ARN of the trust anchor that the certificate revocation list (CRL) provides revocation for. Specify the trust anchor ARN that contains the trust anchor ID. This parameter doesn't support alias ARNs. If you specify an alias ARN, the request fails with ResourceNotFoundException.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1011.

Pattern: arn:aws(-[^:]+)?:rolesanywhere(:.*){2}(:trust-anchor.*|:alias/trust-anchor/.*)

Required: Yes

Response Syntax

HTTP/1.1 201 Content-type: application/json { "crl": { "aliasArn": "string", "aliasName": "string", "createdAt": "string", "crlArn": "string", "crlData": blob, "crlId": "string", "enabled": boolean, "name": "string", "previousAliasName": "string", "trustAnchorArn": "string", "updatedAt": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

crl

The state of the certificate revocation list (CRL) after a read or write operation.

Type: CrlDetail object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ServiceUnavailableException

The request has failed due to a temporary failure of the service.

message

The exception message.

retryAfterSeconds

The recommended number of seconds after which the client should retry the request.

HTTP Status Code: 503

ValidationException

Validation exception error.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific Amazon SDKs, see the following: